extern struct kolibri_system_colors sys_color_table;
enum BUTTONS
{
    BTN_QUIT = 1,
    BTN_POP = 10,
    BTN_UNLOCK = 11
};

enum child_window_flags
{
    MODAL = 0x1,
    CENTERPARENT = 0x2,
    CENTERSCREEN = 0x4
};

#define FONT_W 8
#define FONT_H 14

typedef struct child_window_param
{
//return values
    int         modal_state;    // set when init, cleared on exit
    int         result;
// write on create
    char*       param;  // user parameter
    char*       title;
    int         flags;
    short       left, width, top, hight;  // left, top - computed if CENTERxxx
    // CENTERSCREEN - init only width, height
    short       p_left, p_width, p_top, p_hight;
    // CENTERPARENT - init parent size
    int         slot, tid;  // filled at window_create()
    char        stack_child[4096];
    // internal use
    int         scroll_h, scroll_w;
    char*       start_draw;
} childparam_t;

int child_window_create(childparam_t *child);
void child_main(childparam_t* child);
